Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.range
Class FloatRange

    java.lang.Object
      org.apache.lucene.facet.range.Range
          org.apache.lucene.facet.range.FloatRange

    public final class FloatRange

extends Range

Represents a range over float values indexed as `FloatDocValuesField`.

Field Summary
`float` | `max`
`boolean` | `maxInclusive`
`float` | `min`
`boolean` | `minInclusive`

Fields inherited from class org.apache.lucene.facet.range.Range
`label`

Constructor Summary
`FloatRange(String label, float min, boolean minInclusive, float max, boolean maxInclusive)` Create a FloatRange.

Method Summary
`boolean` | `accept(long value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### min

    public final float min

### max

    public final float max

### minInclusive

    public final boolean minInclusive

### maxInclusive

    public final boolean maxInclusive

Constructor Detail

### FloatRange

    public FloatRange(String label,
                      float min,
                      boolean minInclusive,
                      float max,
                      boolean maxInclusive)

  Create a FloatRange.

Method Detail

### accept

    public boolean accept(long value)

  Specified by:
    `accept` in class `Range`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.